## bluez-qt 5.54.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

set(KF5_VERSION "5.54.0") # handled by release scripts
project(BluezQt VERSION ${KF5_VERSION})

include(FeatureSummary)
find_package(ECM 5.54.0 NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(FeatureSummary)
include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMAddQch)
include(CMakePackageConfigHelpers)
include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMQtDeclareLoggingCategory)


option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT
    VARIABLE_PREFIX BLUEZQT
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/bluezqt_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5BluezQtConfigVersion.cmake"
    SOVERSION 6
)

# Dependencies
set(REQUIRED_QT_VERSION 5.9.0)

# Required Qt5 components to build this framework
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core DBus Network)

# Optional Qt5 components to build this framework
find_package(Qt5Test ${REQUIRED_QT_VERSION} CONFIG)
set_package_properties(Qt5Test PROPERTIES DESCRIPTION "Autotests for BluezQt" TYPE OPTIONAL)
find_package(Qt5Qml ${REQUIRED_QT_VERSION} CONFIG)
set_package_properties(Qt5Qml PROPERTIES DESCRIPTION "QML support for BluezQt" TYPE OPTIONAL)
find_package(Qt5QuickTest ${REQUIRED_QT_VERSION} CONFIG)
set_package_properties(Qt5QuickTest PROPERTIES DESCRIPTION "QML autotests for BluezQt" TYPE OPTIONAL)

# Subdirectories
add_subdirectory(src)

if (BUILD_TESTING)
    add_subdirectory(tests)
    if(Qt5Test_FOUND)
        add_subdirectory(autotests)
    endif()
endif()

if(Qt5Qml_FOUND)
    add_subdirectory(src/imports)
endif()

# Create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KF5BluezQt")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5BluezQt_QCH
        FILE KF5BluezQtQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5BluezQtQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5BluezQtConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5BluezQtConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5BluezQtConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5BluezQtConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel)

install(EXPORT KF5BluezQtTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KF5BluezQtTargets.cmake
    NAMESPACE KF5::)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/bluezqt_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}
    COMPONENT Devel)

if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    set(INSTALL_UDEV_RULE ON CACHE BOOL "Whether to install udev rule")
    set(UDEV_RULES_INSTALL_DIR /lib/udev/rules.d CACHE PATH "The location of udev rules")

    if(${INSTALL_UDEV_RULE})
        install(FILES 61-kde-bluetooth-rfkill.rules DESTINATION ${UDEV_RULES_INSTALL_DIR})
    endif()
endif()

install(FILES bluez.categories DESTINATION ${KDE_INSTALL_CONFDIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
set(bluezqt_SRCS
    a2dp-codecs.c
    manager.cpp
    manager_p.cpp
    adapter.cpp
    adapter_p.cpp
    device.cpp
    device_p.cpp
    input.cpp
    media.cpp
    mediaendpoint.cpp
    mediaendpoint_p.cpp
    mediaendpointadaptor.cpp
    mediaplayer.cpp
    mediaplayer_p.cpp
    mediaplayertrack.cpp
    devicesmodel.cpp
    job.cpp
    initmanagerjob.cpp
    initobexmanagerjob.cpp
    utils.cpp
    agent.cpp
    agentadaptor.cpp
    profile.cpp
    profileadaptor.cpp
    pendingcall.cpp
    request.cpp
    rfkill.cpp
    obexmanager.cpp
    obexmanager_p.cpp
    obexagent.cpp
    obexagentadaptor.cpp
    obextransfer.cpp
    obexsession.cpp
    obexobjectpush.cpp
    obexfiletransfer.cpp
    obexfiletransferentry.cpp
)

ecm_qt_declare_logging_category(bluezqt_SRCS HEADER debug.h IDENTIFIER BLUEZQT CATEGORY_NAME org.kde.bluez)

set(dbusobjectmanager_xml ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/org.freedesktop.DBus.ObjectManager.xml)
set_source_files_properties(${dbusobjectmanager_xml} PROPERTIES INCLUDE "bluezqt_dbustypes.h")
qt5_add_dbus_interface(bluezqt_SRCS ${dbusobjectmanager_xml} dbusobjectmanager)

set(obexfiletransfer1_xml ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/org.bluez.obex.FileTransfer1.xml)
set_source_files_properties(${obexfiletransfer1_xml} PROPERTIES INCLUDE "bluezqt_dbustypes.h")
qt5_add_dbus_interface(bluezqt_SRCS ${obexfiletransfer1_xml} obexfiletransfer1)

qt5_add_dbus_interface(bluezqt_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/org.freedesktop.DBus.Properties.xml dbusproperties)
qt5_add_dbus_interface(bluezqt_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/org.bluez.Adapter1.xml bluezadapter1)
qt5_add_dbus_interface(bluezqt_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/org.bluez.AgentManager1.xml bluezagentmanager1)
qt5_add_dbus_interface(bluezqt_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/org.bluez.ProfileManager1.xml bluezprofilemanager1)
qt5_add_dbus_interface(bluezqt_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/org.bluez.Device1.xml bluezdevice1)
qt5_add_dbus_interface(bluezqt_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/org.bluez.Media1.xml bluezmedia1)
qt5_add_dbus_interface(bluezqt_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/org.bluez.MediaEndpoint1.xml bluezmediaendpoint1)
qt5_add_dbus_interface(bluezqt_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/org.bluez.MediaPlayer1.xml bluezmediaplayer1)
qt5_add_dbus_interface(bluezqt_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/org.bluez.obex.AgentManager1.xml obexagentmanager1)
qt5_add_dbus_interface(bluezqt_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/org.bluez.obex.Client1.xml obexclient1)
qt5_add_dbus_interface(bluezqt_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/org.bluez.obex.Transfer1.xml obextransfer1)
qt5_add_dbus_interface(bluezqt_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/org.bluez.obex.Session1.xml obexsession1)
qt5_add_dbus_interface(bluezqt_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/org.bluez.obex.ObjectPush1.xml obexobjectpush1)

add_library(KF5BluezQt ${bluezqt_SRCS})
generate_export_header(KF5BluezQt BASE_NAME BluezQt)
add_library(KF5::BluezQt ALIAS KF5BluezQt)

target_include_directories(KF5BluezQt INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/BluezQt>")

target_link_libraries(KF5BluezQt
    PUBLIC
        Qt5::Core
    PRIVATE
        Qt5::DBus
        Qt5::Network
)

set_target_properties(KF5BluezQt
    PROPERTIES VERSION ${BLUEZQT_VERSION_STRING}
    SOVERSION ${BLUEZQT_SOVERSION}
    EXPORT_NAME "BluezQt"
)

ecm_generate_headers(BluezQt_CamelCase_HEADERS
    HEADER_NAMES
        Types
        Manager
        Adapter
        Device
        Input
        Media
        MediaEndpoint
        MediaPlayer
        MediaPlayerTrack
        DevicesModel
        Job
        InitManagerJob
        InitObexManagerJob
        Services
        Agent
        Profile
        PendingCall
        Request
        ObexManager
        ObexAgent
        ObexTransfer
        ObexSession
        ObexObjectPush
        ObexFileTransfer
        ObexFileTransferEntry

    REQUIRED_HEADERS BluezQt_HEADERS
    PREFIX BluezQt
)

# Install files
install(TARGETS KF5BluezQt
        EXPORT KF5BluezQtTargets
        ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    ${BluezQt_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/BluezQt/BluezQt
    COMPONENT Devel)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/bluezqt_export.h
    ${BluezQt_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/BluezQt/bluezqt
    COMPONENT Devel)

if(BUILD_QCH)
    ecm_add_qch(
        KF5BluezQt_QCH
        NAME BluezQt
        BASE_NAME KF5BluezQt
        VERSION ${KF5_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${BluezQt_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt5Core_QCH
        BLANK_MACROS
            BLUEZQT_EXPORT
            BLUEZQT_DEPRECATED
            BLUEZQT_DEPRECATED_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

include(ECMGeneratePriFile)

ecm_generate_pri_file(
    BASE_NAME BluezQt
    LIB_NAME KF5BluezQt
    DEPS "core"
    FILENAME_VAR PRI_FILENAME
    INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/BluezQt
)
install(FILES ${PRI_FILENAME}
        DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
bluez-qt (5.54.0-1) unstable; urgency=medium

  * New upstream release (5.52.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:26:14 -0300

bluez-qt (5.51.0-1) unstable; urgency=medium

  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:16:17 +0100

bluez-qt (5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:17:57 +0200

bluez-qt (5.47.0-1) unstable; urgency=medium

  * New upstream release (5.47.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:07:49 +0200

=== debian/control ===
Source: bluez-qt
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.54.0~),
               graphviz,
               libqt5sql5-sqlite,
               pkg-kde-tools (>> 0.15.15),
               qml-module-qttest,
               qtbase5-dev (>= 5.9.0~),
               qtdeclarative5-dev (>= 5.9.0~),
               qttools5-dev-tools,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/bluez-qt
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/bluez-qt.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/bluez-qt

Package: libkf5bluezqt-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: data files for bluez-qt
 bluez-qt is a Qt-style library for accessing the bluez Bluetooth stack.
 .
 It is used by the KDE Bluetooth stack, BlueDevil.
 .
 This package contains the data files.

Package: libkf5bluezqt-dev
Section: libdevel
Architecture: linux-any
Depends: libkf5bluezqt6 (= ${binary:Version}),
         qtbase5-dev (>= 5.9.0~),
         ${misc:Depends},
Recommends: libkf5bluezqt-doc (= ${source:Version})
Description: development files for bluez-qt
 This package provides all the necessary development headers for building
 software that uses the bluez-qt library.

Package: libkf5bluezqt-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: documentation files for bluez-qt
 bluez-qt is a Qt-style library for accessing the bluez Bluetooth stack.
 .
 It is used by the KDE Bluetooth stack, BlueDevil.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5bluezqt6
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libkf5bluezqt-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt wrapper for bluez
 bluez-qt is a Qt-style library for accessing the bluez Bluetooth stack.
 .
 It is used by the KDE Bluetooth stack, BlueDevil.

Package: qml-module-org-kde-bluezqt
Architecture: linux-any
Multi-arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: QML wrapper for bluez
 bluez-qt is a Qt-style library for accessing the bluez Bluetooth stack.
 .
 It is used by the KDE Bluetooth stack, BlueDevil.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_strip:
	dh_strip --dbgsym-migration='libkf5bluezqt6-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	# Disable unit tests at build time
	:

## bluez-qt 5.56.0

=== debian/changelog ===
bluez-qt (5.56.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:33:56 +0000

bluez-qt (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:28:59 +0000

bluez-qt (5.54.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.54.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:33:17 +0000

bluez-qt (5.53.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:47:11 +0000

bluez-qt (5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.51.0)
  * Update symbols from build logs.

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:40:48 +0000

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,21 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.5~),
+Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.54.0~),
+               extra-cmake-modules (>= 5.56.0~),
                graphviz,
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
                qml-module-qttest,
-               qtbase5-dev (>= 5.9.0~),
-               qtdeclarative5-dev (>= 5.9.0~),
+               qtbase5-dev (>= 5.8.0~),
+               qtdeclarative5-dev (>= 5.8.0~),
                qttools5-dev-tools,
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/kde/workspace/bluez-qt
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/bluez-qt.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/bluez-qt
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/bluez-qt
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/bluez-qt
 
 Package: libkf5bluezqt-data
 Architecture: all
@@ -31,10 +31,10 @@
  This package contains the data files.
 
 Package: libkf5bluezqt-dev
+Architecture: linux-any
 Section: libdevel
-Architecture: linux-any
 Depends: libkf5bluezqt6 (= ${binary:Version}),
-         qtbase5-dev (>= 5.9.0~),
+         qtbase5-dev (>= 5.8.0~),
          ${misc:Depends},
 Recommends: libkf5bluezqt-doc (= ${source:Version})
 Description: development files for bluez-qt
@@ -44,6 +44,7 @@
 Package: libkf5bluezqt-doc
 Architecture: all
 Multi-Arch: foreign
+Section: doc
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: documentation files for bluez-qt
  bluez-qt is a Qt-style library for accessing the bluez Bluetooth stack.
@@ -51,15 +52,14 @@
  It is used by the KDE Bluetooth stack, BlueDevil.
  .
  This package contains the qch documentation files.
-Section: doc
 
 Package: libkf5bluezqt6
 Architecture: linux-any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: libkf5bluezqt-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
+Pre-Depends: ${misc:Pre-Depends}
 Description: Qt wrapper for bluez
  bluez-qt is a Qt-style library for accessing the bluez Bluetooth stack.
  .

## bluez-qt 5.62.0

=== debian/changelog ===
bluez-qt (5.62.0-1) unstable; urgency=medium

  * Update reprotest args variable
  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:12:49 -0700

bluez-qt (5.61.0-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Build-Depend on qttools5-dev to fix a cross build failure
    (see #915122 for more info).

  [ Maximiliano Curia ]
  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Ignore reprotest build path variations
  * Update symbols files.
  * Update build-deps and deps with the info from cmake
  * Add missing version to maintscript
  * Release to experimental

  [ Jonathan Riddell ]
  * moved qdebug files

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:10:05 +0100

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,22 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.0~),
+Build-Depends: cmake (>= 3.5~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.56.0~),
+               extra-cmake-modules (>= 5.62.0~),
                graphviz,
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
                qml-module-qttest,
-               qtbase5-dev (>= 5.8.0~),
-               qtdeclarative5-dev (>= 5.8.0~),
+               qtbase5-dev (>= 5.11.0~),
+               qtdeclarative5-dev (>= 5.11.0~),
+               qttools5-dev,
                qttools5-dev-tools,
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/kde/workspace/bluez-qt
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/bluez-qt
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/bluez-qt
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/bluez-qt.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/bluez-qt
 
 Package: libkf5bluezqt-data
 Architecture: all
@@ -31,10 +32,10 @@
  This package contains the data files.
 
 Package: libkf5bluezqt-dev
+Section: libdevel
 Architecture: linux-any
-Section: libdevel
 Depends: libkf5bluezqt6 (= ${binary:Version}),
-         qtbase5-dev (>= 5.8.0~),
+         qtbase5-dev (>= 5.11.0~),
          ${misc:Depends},
 Recommends: libkf5bluezqt-doc (= ${source:Version})
 Description: development files for bluez-qt
@@ -44,7 +45,6 @@
 Package: libkf5bluezqt-doc
 Architecture: all
 Multi-Arch: foreign
-Section: doc
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: documentation files for bluez-qt
  bluez-qt is a Qt-style library for accessing the bluez Bluetooth stack.
@@ -52,14 +52,15 @@
  It is used by the KDE Bluetooth stack, BlueDevil.
  .
  This package contains the qch documentation files.
+Section: doc
 
 Package: libkf5bluezqt6
 Architecture: linux-any
 Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: libkf5bluezqt-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Pre-Depends: ${misc:Pre-Depends}
 Description: Qt wrapper for bluez
  bluez-qt is a Qt-style library for accessing the bluez Bluetooth stack.
  .

=== debian/tests/control ===
Tests: testsuite
Depends: build-essential,
         dbus (>= 1.8),
         openbox,
         qml-module-qttest,
         xauth,
         xvfb,
         @,
         @builddeps@,
Restrictions: build-needed, allow-stderr

Tests: acc
Depends: dh-acc, exuberant-ctags, @
Restrictions: allow-stderr

## bluez-qt 5.67.0

=== debian/changelog ===
bluez-qt (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:47:42 +0000

bluez-qt (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:16:48 +0000

bluez-qt (5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 22:56:41 +0000

bluez-qt (5.64.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.63.0)
  * New upstream release (5.64.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:22:15 +0000

bluez-qt (5.62.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.62.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:04:41 +0100

bluez-qt (5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)
  * Delete upstream_dont_use_bluezqt_dbustypes_header.diff, applied
    upstream

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:40:15 +0100

bluez-qt (5.60.0-0ubuntu2) eoan; urgency=medium

  * Disable testsuite autopkgtest for any architecture except amd64.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 21 Jul 2019 06:52:19 +0100

bluez-qt (5.60.0-0ubuntu1) eoan; urgency=medium

  [ Rik Mills ]
  * Move qdebug categories file to new location.
  * New upstream release (5.60.0)
  * Update symbols from build logs.

  [ José Manuel Santamaría Lema ]
  * Add upstream_dont_use_bluezqt_dbustypes_header.diff
  * Update symbols file

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:13:54 +0100

bluez-qt (5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.59.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:17:08 +0100

bluez-qt (5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:37:51 +0100

bluez-qt (5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:39:56 +0100

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,21 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.5~),
+Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.62.0~),
+               extra-cmake-modules (>= 5.67.0~),
                graphviz,
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
                qml-module-qttest,
-               qtbase5-dev (>= 5.11.0~),
-               qtdeclarative5-dev (>= 5.11.0~),
-               qttools5-dev,
+               qtbase5-dev (>= 5.8.0~),
+               qtdeclarative5-dev (>= 5.8.0~),
                qttools5-dev-tools,
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/kde/workspace/bluez-qt
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/bluez-qt.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/bluez-qt
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/bluez-qt
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/bluez-qt
 
 Package: libkf5bluezqt-data
 Architecture: all
@@ -32,10 +31,10 @@
  This package contains the data files.
 
 Package: libkf5bluezqt-dev
+Architecture: linux-any
 Section: libdevel
-Architecture: linux-any
 Depends: libkf5bluezqt6 (= ${binary:Version}),
-         qtbase5-dev (>= 5.11.0~),
+         qtbase5-dev (>= 5.8.0~),
          ${misc:Depends},
 Recommends: libkf5bluezqt-doc (= ${source:Version})
 Description: development files for bluez-qt
@@ -45,6 +44,7 @@
 Package: libkf5bluezqt-doc
 Architecture: all
 Multi-Arch: foreign
+Section: doc
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: documentation files for bluez-qt
  bluez-qt is a Qt-style library for accessing the bluez Bluetooth stack.
@@ -52,15 +52,14 @@
  It is used by the KDE Bluetooth stack, BlueDevil.
  .
  This package contains the qch documentation files.
-Section: doc
 
 Package: libkf5bluezqt6
 Architecture: linux-any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: libkf5bluezqt-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
+Pre-Depends: ${misc:Pre-Depends}
 Description: Qt wrapper for bluez
  bluez-qt is a Qt-style library for accessing the bluez Bluetooth stack.
  .

## bluez-qt 5.68.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,26 +1,28 @@
 cmake_minimum_required(VERSION 3.5)
 
-set(KF5_VERSION "5.54.0") # handled by release scripts
+set(KF5_VERSION "5.68.0") # handled by release scripts
 project(BluezQt VERSION ${KF5_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.54.0 NO_MODULE)
-set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
+find_package(ECM 5.68.0 NO_MODULE)
+set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
+
+include(KDEInstallDirs)
+include(KDECMakeSettings)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 
 include(FeatureSummary)
-include(GenerateExportHeader)
+include(ECMGenerateExportHeader)
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
 include(ECMAddQch)
 include(CMakePackageConfigHelpers)
-include(KDEInstallDirs)
-include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
-include(KDECMakeSettings)
 include(ECMQtDeclareLoggingCategory)
 
+set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
 
 option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
 add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
@@ -33,7 +35,7 @@
 )
 
 # Dependencies
-set(REQUIRED_QT_VERSION 5.9.0)
+set(REQUIRED_QT_VERSION 5.12.0)
 
 # Required Qt5 components to build this framework
 find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core DBus Network)
@@ -45,9 +47,11 @@
 set_package_properties(Qt5Qml PROPERTIES DESCRIPTION "QML support for BluezQt" TYPE OPTIONAL)
 find_package(Qt5QuickTest ${REQUIRED_QT_VERSION} CONFIG)
 set_package_properties(Qt5QuickTest PROPERTIES DESCRIPTION "QML autotests for BluezQt" TYPE OPTIONAL)
-
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
+add_definitions(-DQT_NO_FOREACH)
 # Subdirectories
 add_subdirectory(src)
+add_subdirectory(tools/bluezapi2qt)
 
 if (BUILD_TESTING)
     add_subdirectory(tests)
@@ -104,6 +108,4 @@
     endif()
 endif()
 
-install(FILES bluez.categories DESTINATION ${KDE_INSTALL_CONFDIR})
-
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
bluez-qt (5.68.0-0ubuntu1) focal; urgency=medium

  * Update install files.
  * New upstream release (5.68.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 20:55:10 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.67.0~),
+               extra-cmake-modules (>= 5.68.0~),
                graphviz,
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus (>= 1.8), openbox,
         qml-module-qttest
Restrictions: build-needed, allow-stderr

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

## bluez-qt 5.74.0

=== debian/changelog ===
bluez-qt (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 10:56:57 +0100

bluez-qt (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 10:55:30 +0100

bluez-qt (5.72.0-0ubuntu2) groovy; urgency=medium

  * Disable build-needed testsuite.

 -- Rik Mills <rikmills@kde.org>  Mon, 03 Aug 2020 14:54:43 +0100

bluez-qt (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:29:40 +0100

bluez-qt (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:03:56 +0100

bluez-qt (5.70.0-1ubuntu1) groovy; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - debhelper-compat = 12 for backports.
    - Keep Kubuntu symbols file.
    - Keep Kubuntu test setup.

 -- Rik Mills <rikmills@kde.org>  Wed, 10 Jun 2020 09:12:52 +0100

bluez-qt (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * Update all upstream addresses to reflect move to
    invent.kde.org.
    - Update Homepage in control to invent as projects
      is dead.
    - Update Source in copyright to invent address.
    - Update upstream metadata to invent address.
  * Add bug info to upstream metadata.
  * Update compat to 13.
  * Fix duplicate long description in control file.

  [ Sandro Knauß ]
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Wrap long lines in changelog entries: 5.21.0-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:55:55 +0200

bluez-qt (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)

  [ Rik Mills ]
  * New upstream release (5.70.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:29:30 +0100

bluez-qt (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 12.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Adopt renaming of qtlogging file.
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * Update symbols from build for 5.69.0.
  * Enable hardening all.
  * Add Build-Depends-Package to symbols file.
  * Remove COPYING.LIB listed in copyright file.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 00:57:38 +0200

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,23 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.0~),
-               debhelper (>= 11~),
+Build-Depends: cmake (>= 3.5~),
+               debhelper-compat (= 12),
                doxygen,
-               extra-cmake-modules (>= 5.68.0~),
+               extra-cmake-modules (>= 5.74.0~),
                graphviz,
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
                qml-module-qttest,
-               qtbase5-dev (>= 5.8.0~),
-               qtdeclarative5-dev (>= 5.8.0~),
+               qtbase5-dev (>= 5.12.0~),
+               qtdeclarative5-dev (>= 5.12.0~),
+               qttools5-dev,
                qttools5-dev-tools,
-Standards-Version: 4.1.4
-Homepage: https://projects.kde.org/projects/kde/workspace/bluez-qt
+Standards-Version: 4.5.0
+Homepage: https://invent.kde.org/frameworks/bluez-qt
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/bluez-qt
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/bluez-qt
+Rules-Requires-Root: no
 
 Package: libkf5bluezqt-data
 Architecture: all
@@ -34,12 +36,14 @@
 Architecture: linux-any
 Section: libdevel
 Depends: libkf5bluezqt6 (= ${binary:Version}),
-         qtbase5-dev (>= 5.8.0~),
+         qtbase5-dev (>= 5.12.0~),
          ${misc:Depends},
 Recommends: libkf5bluezqt-doc (= ${source:Version})
 Description: development files for bluez-qt
  This package provides all the necessary development headers for building
  software that uses the bluez-qt library.
+ .
+ This package contains the development files.
 
 Package: libkf5bluezqt-doc
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON
override_dh_auto_test:
	# Disable unit tests at build time
	:

=== debian/tests/control ===
#Tests: testsuite
#Depends: build-essential,
#         dbus (>= 1.8),
#         openbox,
#         qml-module-qttest,
#         xauth,
#         xvfb,
#         @,
#         @builddeps@,
#Restrictions: build-needed, allow-stderr
#
Tests: acc
Depends: dh-acc, exuberant-ctags, @
Restrictions: allow-stderr

## bluez-qt 5.78.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.5)
 
-set(KF5_VERSION "5.68.0") # handled by release scripts
+set(KF5_VERSION "5.78.0") # handled by release scripts
 project(BluezQt VERSION ${KF5_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.68.0 NO_MODULE)
+find_package(ECM 5.78.0 NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -35,7 +35,7 @@
 )
 
 # Dependencies
-set(REQUIRED_QT_VERSION 5.12.0)
+set(REQUIRED_QT_VERSION 5.14.0)
 
 # Required Qt5 components to build this framework
 find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core DBus Network)
@@ -47,7 +47,7 @@
 set_package_properties(Qt5Qml PROPERTIES DESCRIPTION "QML support for BluezQt" TYPE OPTIONAL)
 find_package(Qt5QuickTest ${REQUIRED_QT_VERSION} CONFIG)
 set_package_properties(Qt5QuickTest PROPERTIES DESCRIPTION "QML autotests for BluezQt" TYPE OPTIONAL)
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
 add_definitions(-DQT_NO_FOREACH)
 # Subdirectories
 add_subdirectory(src)

=== debian/changelog ===
bluez-qt (5.78.0-3) unstable; urgency=medium

  * Team upload.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Drop the unused debian/meta/ stuff.
  * Run the test suite at build time, since it seems to work fine:
    - add the dbus-x11, xauth, and xvfb build dependencies
    - run dh_auto_test using xvfb-run, and dbus-run-session
    - disable the fixfilepath reproducibility feature, as it breaks
      QFINDTESTDATA
  * Remove the unused ${shlibs:Depends} substvar from libkf5bluezqt-data, and
    libkf5bluezqt-doc.

 -- Pino Toscano <pino@debian.org>  Mon, 18 Jan 2021 14:15:11 +0100

bluez-qt (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:17 +0900

bluez-qt (5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:40 +0900

bluez-qt (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:32 +0900

bluez-qt (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:51 +0900

bluez-qt (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:13:33 +0200

bluez-qt (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Add renamecategories file to libkf5bluezqt-data.
  * Update repository related entries to metadata file.
  * Update Bug-* entries to metadata file.
  * Update symbols from build for 5.74.0.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:44:15 +0200

=== debian/control ===
Source: bluez-qt
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.5~),
               dbus-x11,
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.78.0~),
               graphviz,
               libqt5sql5-sqlite,
               pkg-kde-tools (>> 0.15.15),
               qml-module-qttest,
               qtbase5-dev (>= 5.14.0~),
               qtdeclarative5-dev (>= 5.14.0~),
               qttools5-dev,
               qttools5-dev-tools,
               xauth,
               xvfb,
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/frameworks/bluez-qt
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/bluez-qt.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/bluez-qt
Rules-Requires-Root: no

Package: libkf5bluezqt-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: data files for bluez-qt
 bluez-qt is a Qt-style library for accessing the bluez Bluetooth stack.
 .
 It is used by the KDE Bluetooth stack, BlueDevil.
 .
 This package contains the data files.

Package: libkf5bluezqt-dev
Section: libdevel
Architecture: linux-any
Depends: libkf5bluezqt6 (= ${binary:Version}),
         qtbase5-dev (>= 5.14.0~),
         ${misc:Depends}
Recommends: libkf5bluezqt-doc (= ${source:Version})
Description: development files for bluez-qt
 This package provides all the necessary development headers for building
 software that uses the bluez-qt library.
 .
 This package contains the development files.

Package: libkf5bluezqt-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: documentation files for bluez-qt
 bluez-qt is a Qt-style library for accessing the bluez Bluetooth stack.
 .
 It is used by the KDE Bluetooth stack, BlueDevil.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5bluezqt6
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libkf5bluezqt-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt wrapper for bluez
 bluez-qt is a Qt-style library for accessing the bluez Bluetooth stack.
 .
 It is used by the KDE Bluetooth stack, BlueDevil.

Package: qml-module-org-kde-bluezqt
Architecture: linux-any
Multi-arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: QML wrapper for bluez
 bluez-qt is a Qt-style library for accessing the bluez Bluetooth stack.
 .
 It is used by the KDE Bluetooth stack, BlueDevil.
 .
 This package contains the QML module for bluez-qt.

=== debian/rules ===
#!/usr/bin/make -f

# Disable fixfilepath, as it triggers build failures.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	xvfb-run -a dbus-run-session dh_auto_test

## bluez-qt 5.80.0

=== debian/changelog ===
bluez-qt (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:05:48 +0000

bluez-qt (5.79.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.79.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:19:15 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dbus-x11,
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.78.0~),
+               extra-cmake-modules (>= 5.80.0~),
                graphviz,
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
@@ -41,7 +41,7 @@
 Architecture: linux-any
 Depends: libkf5bluezqt6 (= ${binary:Version}),
          qtbase5-dev (>= 5.14.0~),
-         ${misc:Depends}
+         ${misc:Depends},
 Recommends: libkf5bluezqt-doc (= ${source:Version})
 Description: development files for bluez-qt
  This package provides all the necessary development headers for building

## bluez-qt 5.86.0

=== debian/changelog ===
bluez-qt (5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:45:55 +0100

bluez-qt (5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:24:21 +0100

bluez-qt (5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 08:58:00 +0100

bluez-qt (5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:14:50 +0100

bluez-qt (5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 11:54:28 +0100

bluez-qt (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:26:57 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dbus-x11,
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.80.0~),
+               extra-cmake-modules (>= 5.86.0~),
                graphviz,
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
